[ati]compiz crashed with SIGSEGV in nux::GraphicsEngine::QRP_GLSL_GetBlurTexture()

Bug #1290056 reported by Josy on 2014-03-09
54
This bug affects 10 people
Affects Status Importance Assigned to Milestone
unity (Ubuntu)
Medium
Marco Trevisan (Treviño)
Xenial
Undecided
Unassigned

Bug Description

[ Impact ]

Unity ramdomly crashes when hovering a tooltip or opening a quicklist

[ Test case ]

1. Hover a launcher icon
2. Open a quicklist or wait for the tooltips
3. Unity should never crash during such operation

[ Possible regression ]

The view might be opened without blurring background, but still better than crashing.

----------

no further info available.

ProblemType: CrashDistroRelease: Ubuntu 14.04
Package: unity 7.1.2+14.04.20140305-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-16.36-generic 3.13.5
Uname: Linux 3.13.0-16-generic x86_64
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Sun Mar 9 17:35:59 2014
ExecutablePath: /usr/bin/compiz
InstallationDate: Installed on 2014-03-09 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140308)
ProcCmdline: compiz
SegvAnalysis:
 Segfault happened at: 0x7f0e5abf2cdf <_ZN3nux14GraphicsEngine23QRP_GLSL_GetBlurTextureEiiiiNS_9ObjectPtrINS_18IOpenGLBaseTextureEEERNS_13TexCoordXFormERKNS_5color5ColorEfi+63>: mov 0x88(%rcx),%edx
 PC (0x7f0e5abf2cdf) ok
 source "0x88(%rcx)" (0x00000088) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading NULL VMA
Signal: 11SourcePackage: unity
StacktraceTop:
 nux::GraphicsEngine::QRP_GLSL_GetBlurTexture(int, int, int, int, nux::ObjectPtr<nux::IOpenGLBaseTexture>, nux::TexCoordXForm&, nux::color::Color const&, float, int) () from /usr/lib/x86_64-linux-gnu/libnux-graphics-4.0.so.0
 nux::GraphicsEngine::QRP_GetBlurTexture(int, int, int, int, nux::ObjectPtr<nux::IOpenGLBaseTexture>, nux::TexCoordXForm&, nux::color::Color const&, float, int) () from /usr/lib/x86_64-linux-gnu/libnux-graphics-4.0.so.0
 unity::CairoBaseWindow::Draw(nux::GraphicsEngine&, bool) () from /usr/lib/compiz/libunityshell.so
 unity::Tooltip::Draw(nux::GraphicsEngine&, bool) () from /usr/lib/compiz/libunityshell.so
 nux::View::ProcessDraw(nux::GraphicsEngine&, bool) () from /usr/lib/x86_64-linux-gnu/libnux-4.0.so.0
Title: compiz crashed with SIGSEGV in nux::GraphicsEngine::QRP_GLSL_GetBlurTexture()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Related branches

Josy (josy1) wrote :

StacktraceTop:
 nux::GraphicsEngine::QRP_GLSL_GetBlurTexture (this=0xdb0e90, x=0, y=0, buffer_width=156, buffer_height=56, device_texture=..., texxform=..., c0=..., sigma=<unavailable>, num_pass=3) at ./RenderingPipeGLSL.cpp:2339
 nux::GraphicsEngine::QRP_GetBlurTexture (this=0xdb0e90, x=0, y=0, buffer_width=156, buffer_height=56, device_texture=..., texxform=..., c0=..., sigma=1, num_pass=3) at ./RenderingPipe.cpp:554
 unity::CairoBaseWindow::Draw(nux::GraphicsEngine&, bool) () from /tmp/apport_sandbox_blkMbp/usr/lib/compiz/libunityshell.so
 unity::Tooltip::Draw(nux::GraphicsEngine&, bool) () from /tmp/apport_sandbox_blkMbp/usr/lib/compiz/libunityshell.so
 nux::View::ProcessDraw (this=0x2075ff0, graphics_engine=..., force_draw=<optimized out>) at ./View.cpp:239

Changed in unity (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Adolfo Jayme (fitojb) on 2014-03-24
information type: Private → Public
Changed in unity:
importance: Undecided → Medium
status: New → Confirmed
Shaleen Jain (shalzz95) wrote :

This bug occurs for me only when I have applied a different theme(Numix) than the defaults using the unity tweak tool and while scrolling down the unity launcher to reveal hidden application icons.

Will Cooke (willcooke) wrote :

As part of the big bug clear up for 16.04 LTS I am marking this bug as Wont Fix.
These types of crasher are better handled by errors.ubutnu.com which can collate similar crash reports to help us identify persitent bugs rather than one-off crashes.
Sorry we are not able to help with this specific issue. If you are still experiencing this crash, please re-open the bug and add the tag "desktop-bugscrub-reopened". See https://wiki.ubuntu.com/BigDesktopBugScrub for more information.

Changed in unity:
status: Confirmed → Won't Fix
Changed in unity (Ubuntu):
status: Confirmed → Won't Fix
tags: added: desktop-bugscrub-autoclosed
Changed in unity (Ubuntu):
status: Won't Fix → In Progress
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
no longer affects: unity
description: updated

Hello Josy, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.5+16.04.20180221-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial

apt-cache policy unity
unity:
  Installed: 7.4.5+16.04.20180221-0ubuntu1
  Candidate: 7.4.5+16.04.20180221-0ubuntu1

Tried scenario multiple times, it doesn't happen here as it was not happening most of the times before, being this crash pretty random. However the change seems sane, so I think we can verify.

Feel free to reopen in case.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+18.04.20180221.1-0ubuntu1

---------------
unity (7.5.0+18.04.20180221.1-0ubuntu1) bionic; urgency=medium

  * Unity use track_obj to safely connect to UScreen and Settings
    signals (LP: #1748330) (LP: #1748330)
  * CairoBaseWindow: don't try to compute the blur of an invalid texture
    (LP: #1290056)
  * Unity: use new definition of infinite CompRegion's (LP: #1749957)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Wed, 21 Feb 2018 15:27:45 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.5+16.04.20180221-0ubuntu1

---------------
unity (7.4.5+16.04.20180221-0ubuntu1) xenial; urgency=medium

  * Unity use track_obj to safely connect to UScreen and Settings
    signals (LP: #1748330) (LP: #1748330)
  * CairoBaseWindow: don't try to compute the blur of an invalid texture
    (LP: #1290056)
  * Unity: use new definition of infinite CompRegion's

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Wed, 21 Feb 2018 19:34:14 +0000

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers